#
# spec file for package hwdata
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hwdata
Version:        0.320
Release:        lp150.16.1
Summary:        Hardware identification and configuration data
License:        GPL-2.0-or-later
Group:          Hardware/Other
URL:            https://github.com/vcrhonek/hwdata
Source:         https://github.com/vcrhonek/hwdata/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
hwdata contains various hardware identification and configuration data,
such as the pci.ids and usb.ids databases.

%prep
%setup -q

%build
%configure
# nothing to build

%install
%make_install
rm -rf %{buildroot}/%{_libdir}/modprobe.d

%files
%license LICENSE COPYING
%dir %{_datadir}/%{name}
%{_datadir}/hwdata/iab.txt
%{_datadir}/hwdata/oui.txt
%{_datadir}/hwdata/pci.ids
%{_datadir}/hwdata/pnp.ids
%{_datadir}/hwdata/usb.ids

%changelog
* Tue Feb 12 2019 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.320 (bsc#1121410):
  * Updated pci, usb and vendor ids.
* Thu Jan 10 2019 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.319:
  * Updated pci, usb and vendor ids.
* Fri Dec 14 2018 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.318:
  * Updated pci, usb and vendor ids.
* Wed Sep 26 2018 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.315:
  * Updated pci, usb and vendor ids.
* Thu Aug 30 2018 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.314:
  * Updated pci, usb and vendor ids.
* Mon Jul  9 2018 mpluskal@suse.com
- Update to version 0.313:
  * Updated pci, usb and vendor ids.
* Wed May  9 2018 mpluskal@suse.com
- Update to version 0.312:
  * Updated pci, usb and vendor ids.
* Tue Apr  3 2018 mpluskal@suse.com
- Update to version 0.311:
  * Updated pci, usb and vendor ids.
* Thu Mar  8 2018 mpluskal@suse.com
- Update to version 0.310:
  * Updated pci, usb and vendor ids.
* Fri Jan  5 2018 mpluskal@suse.com
- Update to version 0.308:
  * Updated pci, usb and vendor ids.
* Wed Dec  6 2017 mpluskal@suse.com
- Update to version 0.307:
  * Updated pci, usb and vendor ids.
* Fri Nov  3 2017 mpluskal@suse.com
- Update to version 0.306:
  * Updated pci, usb and vendor ids.
* Mon Oct  2 2017 mpluskal@suse.com
- Update to version 0.305
* Fri Sep  8 2017 mpluskal@suse.com
- Update to version 0.304
* Wed Aug  2 2017 mpluskal@suse.com
- Update to version 0.303
* Tue Jul 11 2017 mpluskal@suse.com
- Update to version 0.302
* Mon Jun 12 2017 mpluskal@suse.com
- Update to version 0.301
* Wed May 10 2017 mpluskal@suse.com
- Update to version 0.300 (boo#1038809)
* Sat Apr 15 2017 mpluskal@suse.com
- Update to version 0.299
- Update project and download urls
- Cleanup spec file with spec-cleaner
* Mon Sep 28 2015 mc@suse.de
- version 0.282
- updated pci, usb and vendor ids
* Sat Sep 13 2014 mc@suse.de
- version 0.269
- updated pci, usb and vendor ids
* Sat Jul 12 2014 mc@suse.com
- update to version 0.267
- updated pci, usb and vendor ids
* Sat Jan 18 2014 mc@suse.com
- update to version 0.258
- updated pci and oui ids
- remove blacklist.conf
* Sat Jan 18 2014 mc@suse.de
- initial release
